Bug 21397 - Routing list tab not marked as active
Summary: Routing list tab not marked as active
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-21 21:34 UTC by Jonathan Druart
Modified: 2018-10-08 05:57 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21397: Mark "Routing list" tab as active when selected (1.08 KB, patch)
2018-09-21 21:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21397: Mark "Routing list" tab as active when selected (1.26 KB, patch)
2018-09-24 00:32 UTC, Dilan Johnpullé
Details | Diff | Splinter Review
Bug 21397: Mark "Routing list" tab as active when selected (1.33 KB, patch)
2018-09-24 18:55 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-09-21 21:34:43 UTC
/members/routing-lists.pl?borrowernumber=5 show the different tab of the menu but "Routing lists" is not displayed as the selected one (active).

"routinglistview" must be set and passed to the template
Comment 1 Jonathan Druart 2018-09-21 21:37:00 UTC
Created attachment 79262 [details] [review]
Bug 21397: Mark "Routing list" tab as active when selected

/members/routing-lists.pl?borrowernumber=5 show the different tab of the
menu but "Routing lists" is not displayed as the selected one (active).

"routinglistview" must be set and passed to the template

Test plan:
Enable the RoutingSerials pref
and hit /members/routing-lists.pl?borrowernumber=42

The "Routing lists" tab must be selected/active
Comment 2 Dilan Johnpullé 2018-09-24 00:32:01 UTC
Created attachment 79268 [details] [review]
Bug 21397: Mark "Routing list" tab as active when selected

/members/routing-lists.pl?borrowernumber=5 show the different tab of the
menu but "Routing lists" is not displayed as the selected one (active).

"routinglistview" must be set and passed to the template

Test plan:
Enable the RoutingSerials pref
and hit /members/routing-lists.pl?borrowernumber=42

The "Routing lists" tab must be selected/active

Followed test plan and tab now shows as active.
Signed-off-by: Dilan Johnpullé <dilan@calyx.net.au>
Comment 3 Katrin Fischer 2018-09-24 18:55:18 UTC
Created attachment 79334 [details] [review]
Bug 21397: Mark "Routing list" tab as active when selected

/members/routing-lists.pl?borrowernumber=5 show the different tab of the
menu but "Routing lists" is not displayed as the selected one (active).

"routinglistview" must be set and passed to the template

Test plan:
Enable the RoutingSerials pref
and hit /members/routing-lists.pl?borrowernumber=42

The "Routing lists" tab must be selected/active

Followed test plan and tab now shows as active.
Signed-off-by: Dilan Johnpullé <dilan@calyx.net.au>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2018-09-26 19:37:56 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-09-27 12:34:28 UTC
Pushed to 18.05.x for 18.05.05
Comment 6 Fridolin SOMERS 2018-10-08 05:57:22 UTC
Pushed to 17.11.x for 17.11.11